Index: /anuga_work/production/hobart_2006/export_results.py
===================================================================
--- /anuga_work/production/hobart_2006/export_results.py	(revision 3720)
+++ /anuga_work/production/hobart_2006/export_results.py	(revision 3721)
@@ -6,19 +6,10 @@
 from os import sep
 
-# OLE - this is the smallest sww file with the complex bounding polygon
-time_dir = '20060928_073318' #alpha = 0.5
+time_dir = '20061006_062319' # Mw 8-5
 
-#time_dir = '20060928_064732' #alpha = 0.01
-#time_dir = '20060928_220905' #alpha = 1.0
-#time_dir = '20060926_064750' #this worked for cellsize 30 and 100
-#time_dir = '20060929_033100' #alpha = 0.01 poly anticlockwise - DIDN'T WORK
-#time_dir = '20060929_075954' #alpha = 0.1 grid with MOST
-#time_dir = '20060929_075009' #alpha = 0.1 points with MOST
 directory = project.outputdir
 name = directory + time_dir +sep + 'source'
 
 print 'output dir:', name
-#print 'Which variable do you want to export?'
-#which_var = int(raw_input('Stage = 0, Absolute Momentum = 1, Depth = 2, Speed = 3  '  ))
 which_var = 4
 if which_var == 0:  # Stage
@@ -31,5 +22,5 @@
 
 if which_var == 2:  # Depth
-    outname = name + '_depth'
+    outname = name + '_depth_bruny'
     quantityname = 'stage-elevation'  #Depth
 
@@ -39,18 +30,31 @@
 
 if which_var == 4:  # Elevation
-    outname = name + '_elevation_2'
+    outname = name + '_elevation'
     quantityname = 'elevation'  #Elevation
 
 print 'start sww2dem'
+# for hobart
+##sww2dem(name, basename_out = outname,
+##            quantity = quantityname,
+##            cellsize = 25,      # would prefer this at 25
+##            # define region for viz purposes
+##            easting_min = project.eastingmin25,
+##            easting_max = project.eastingmax25,
+##            northing_min = project.northingmin25,
+##            northing_max = project.northingmax25,        
+##            reduction = max, #this is because we want max quantityname
+##            verbose = True,
+##            format = 'asc')
+
+# for bruny
 sww2dem(name, basename_out = outname,
             quantity = quantityname,
-            cellsize = 500,      # would prefer this at 25
+            cellsize = 25,      # would prefer this at 25
             # define region for viz purposes
-            #easting_min = project.e_min_area,
-            #easting_max = project.e_max_area,
-            #northing_min = project.n_min_area,
-            #northing_max = project.n_max_area,        
+            easting_min = project.eastingmin25_2,
+            easting_max = project.eastingmax25_2,
+            northing_min = project.northingmin25_2,
+            northing_max = project.northingmax25_2,        
             reduction = max, #this is because we want max quantityname
             verbose = True,
             format = 'asc')
-
Index: /anuga_work/production/hobart_2006/get_timeseries.py
===================================================================
--- /anuga_work/production/hobart_2006/get_timeseries.py	(revision 3720)
+++ /anuga_work/production/hobart_2006/get_timeseries.py	(revision 3721)
@@ -23,8 +23,8 @@
     mkdir (reportdir)
     
-# data
-production_dirs = {'20061003_062209': 'test'}
-                   #'20061003_062209': 'Mw 8.7'}#,
-                   #'': 'Mw 8.5'}
+# 2500 interior resolution for both events
+# use both to compare the events
+production_dirs = {'20061006_062319': 'Mw 8.5'}
+                   #'20061008_234702': 'Mw 8.7'}
 
 # Generate figures
Index: /anuga_work/production/hobart_2006/make_report.py
===================================================================
--- /anuga_work/production/hobart_2006/make_report.py	(revision 3721)
+++ /anuga_work/production/hobart_2006/make_report.py	(revision 3721)
@@ -0,0 +1,304 @@
+"""
+Generate report for production run
+
+Inputs:
+
+report_title:    title to be included in tex file
+production dirs: dictionary of production directories with a
+                 association to that simulation run, eg high tide,
+                 low tide and MSL.
+                    
+
+Outputs:
+
+* Report generated to scenario_report.tex where the scenario relates
+the name of the production directory this script is being run from.
+* figures used for report stored in the report_figure directory
+NOTE, this directory will need to be committed, as well as
+the latex files.
+
+The report structure is
+
+* Executive Summary
+* Introduction
+* Modelling Methodology
+* Tsunami scenario
+* Data sources
+* Inundation model
+* Inundation modelling results
+* Impact modelling
+* Summary
+* Acknowledgements
+* References
+* Appendix: Metadata
+* Appendix: Time series outputs
+
+Other files included in document which require manual intervention:
+
+* an abstract must be written in abstract.tex
+* an introduction must be written in introduction.tex; a basic outline and
+  some of the core inputs are already in place
+* the tsunami-genic event should be discussed in tsunami_scenario.tex
+* a discussion of the ANUGA model is required in anuga.tex
+* a computational_setup.tex file needs to be written for the particular scenario
+* the interpretation of the results needs to be written to interpretation.tex
+* maximum inundation map names need to be included in HAT_map and LAT_map etc.
+* damage modelling map names need to be included in HAT_damage and LAT_damage etc.
+* a summary must be written into summary.tex
+* metadata for the scenario data to be included in metadata.tex
+
+May, June 2006                    
+"""
+
+from os import getcwd, sep, altsep, mkdir, access, F_OK
+import project
+from anuga.abstract_2d_finite_volumes.util import sww2timeseries, get_gauges_from_file
+
+# Derive scenario name
+p = getcwd().split(sep)
+scenario = p[-1] # Last element of absolute CWD path
+scenario_name = scenario.split('_2006')[0] # Strip any text past `_2006`
+test = scenario_name.split('_')
+if len(test) <> 1:
+    scenario_name = '%s %s' %(test[0], test[1])
+
+# Create report directory
+reportdir = getcwd()+sep+'report'+sep
+if access(reportdir,F_OK) == 0:
+    mkdir (reportdir)
+    
+# User defined inputs
+report_title = 'Tsunami impact modelling for the Tasmania: %s' %scenario_name.title()
+
+# WA DLI data
+production_dirs = {'20061004_230438': 'Mw 8-7', # 7500 res
+                   '20061006_062319': 'Mw 8-5'} # 2500 res
+
+max_maps = {'Mw 8-7': 'mw87_map',
+            'Mw 8-5': 'mw85_map'}
+
+gauge_map = 'hobart_gauge.jpg'
+
+# Create sections and graphs for each designated production directory
+latex_output = []
+swwfiles = {}
+for label_id in production_dirs.keys():
+    
+    file_loc = project.outputdir + label_id + sep
+    swwfile = file_loc + project.basename + '.sww'
+    swwfiles[swwfile] = label_id
+
+texname, elev_output = sww2timeseries(swwfiles,
+                                      project.gauge_filename,
+                                      production_dirs,
+                                      report = True,
+                                      reportname = 'latexoutput',
+                                      plot_quantity = ['stage', 'speed'],
+                                      surface = False,
+                                      time_min = None,
+                                      time_max = None,
+                                      title_on = False,
+                                      verbose = True)
+
+latex_output.append(texname)
+
+# Start report generation
+# Future: generate_report(reportdir, scenario, report_title, 
+# project.gauge_filename, max_maps, damage_maps, production_dirs, latex_output)
+report_name = reportdir + scenario + '_report.tex'
+fid = open(report_name, 'w')
+
+s = """
+% This is based on an automatically generated file (by make_report.py).
+%
+% Manual parts are:
+% * an abstract must be written in abstract.tex
+% * an introduction must be written in introduction.tex; a basic outline and
+%   some of the core inputs are already in place
+% * outline of the modelling methodology provided in modelling_methodology.tex
+% * the tsunami-genic event should be discussed in tsunami_scenario.tex
+% * an computational_setup.tex file needs to be written for the particular scenario
+% * the interpretation of the results needs to be written to interpretation.tex
+% * maximum inundation maps need to be included in HAT_map.tex and LAT_map.tex etc.
+% * damage modelling maps need to be included in HAT_damage and LAT_damage etc.
+% * a summary must be written into summary.tex
+% * metadata for the scenario data to be included in metadata.tex
+
+\documentclass{article}
+
+\usepackage{ae} % or {zefonts}
+\usepackage[T1]{fontenc}
+\usepackage[ansinew]{inputenc}
+\usepackage{amsmath}
+\usepackage{amssymb}
+\usepackage{graphicx}
+\usepackage{color}
+\usepackage[colorlinks]{hyperref}
+\usepackage{lscape} %landcape pages support
+\usepackage{setspace}
+\usepackage{rotating}
+\include{appendix}
+\setstretch{1.25}
+\\topmargin 0pt
+\oddsidemargin 0pt
+\evensidemargin 0pt
+\marginparwidth 0.5pt
+\\textwidth \paperwidth
+\\advance\\textwidth -2in
+
+"""
+fid.write(s)
+
+#s = '\\title{%s} \n' %report_title
+#fid.write(s)
+
+s = """
+\date{\\today}
+%\\author{Geoscience Australia}
+
+\\begin{document}
+\\title{
+\\begin{figure}[hbt]
+  \centerline{ \includegraphics[scale=0.4]{../report_figures/GAlogo.jpg}}
+\end{figure}
+"""
+fid.write(s)
+s = '%s} '%report_title
+fid.write(s)
+s = """
+  \maketitle
+
+    \section{Executive Summary}
+    \label{sec:execsum}
+  \input{execsum}
+
+  \\tableofcontents
+  
+  \section{Introduction}
+    \label{sec:intro}
+  \input{introduction}
+
+   \section{Modelling methodology}
+    \label{sec:methodology}
+    \input{modelling_methodology}
+    
+  %\section{Tsunami scenarios}
+  %  \label{sec:tsunamiscenario}
+  %  \input{tsunami_scenario}
+
+  \section{Data sources}
+    \label{sec:data}
+    \input{data}
+    
+   \section{Inundation model}
+    \label{sec:anuga}
+    \input{anuga}
+    \input{computational_setup}
+        
+  \section{Inundation modelling results}
+     \label{sec:results}
+         
+"""
+fid.write(s)
+
+# Generate latex output for location points
+s = '\\begin{table} \\begin{center} \n'
+fid.write(s)
+s = '\caption{Defined point locations for %s study area.}' %scenario_name
+fid.write(s)
+s = """
+\label{table:locations}
+\\begin{tabular}{|l|l|l|l|}\hline
+\\bf{Point Name} & \\bf{Easting} & \\bf{Northing} & \\bf{Elevation}\\\\ \hline
+"""
+fid.write(s)
+
+gauges, locations, elevation = get_gauges_from_file(project.gauge_filename)
+
+for name, gauges, elev in zip(locations, gauges, elevation):
+    east = gauges[0]
+    north = gauges[1]
+    s = '%s & %.2f & %.2f & %.2f \\\\ \hline \n' %(name.replace('_',' '), east, north, elev)
+    fid.write(s)
+
+s = '\\end{tabular} \n  \end{center} \n \end{table} \n \n'
+fid.write(s)
+
+s = '\\begin{figure}[hbt] \n \centerline{ \includegraphics[width=\paperwidth]{../report_figures/%s}}' %gauge_map
+fid.write(s)
+
+s  = """
+\caption{Point locations used for Hobart study.}  
+\label{fig:points}
+\end{figure}
+"""
+fid.write(s)
+    
+s = '\input{interpretation} \n'
+fid.write(s)
+
+# Assign titles to each production section 
+# Must specify one name per section
+for i, name in enumerate(production_dirs.keys()):
+#
+#    s = '\subsection{%s} \n \n' %production_dirs[name]      
+#    fid.write(s)
+
+    s = '\input{%s} \n \clearpage \n \n' %max_maps[production_dirs[name]]
+    fid.write(s)
+
+# Closing
+
+s = """
+   \section{Impact modelling}
+    \label{sec:impact}
+     \input{damage}
+"""
+#fid.write(s)
+
+#for i, name in enumerate(production_dirs.keys()):
+
+#    s = '\input{%s} \n \clearpage \n \n' %damage_maps[production_dirs[name]]
+#    fid.write(s)
+
+s = """
+  % \section{Impact due to data accuracy}
+  %   \input{discussion}
+  %   \label{sec:issues}
+
+     \section{Summary}
+     \label{sec:summary}
+     \input{summary}
+
+     \section{Acknowledgements}
+     \input{acknowledgements}
+     
+    \input{references}
+
+    \\appendix
+    
+   \section{Metadata}
+     \label{sec:metadata}
+     \input{metadata}
+
+\pagebreak
+
+   \section{Time series}
+     \label{sec:timeseries}
+"""
+fid.write(s)
+
+s = '\input{%s} \n \clearpage \n \n' %latex_output[0]
+fid.write(s)
+
+s="""
+
+%\pagebreak
+
+ %  \section{Damage modelling inputs}
+ %    \label{sec:damageinputs}
+ %    \input{damage_inputs}
+
+\end{document}
+"""
+fid.write(s)
Index: /anuga_work/production/hobart_2006/project.py
===================================================================
--- /anuga_work/production/hobart_2006/project.py	(revision 3720)
+++ /anuga_work/production/hobart_2006/project.py	(revision 3721)
@@ -7,5 +7,5 @@
 import sys
 from time import localtime, strftime, gmtime
-from anuga.utilities.polygon import read_polygon, plot_polygons
+from anuga.utilities.polygon import read_polygon, plot_polygons, polygon_area
 from anuga.coordinate_transforms.redfearn import degminsec2decimal_degrees, convert_points_from_latlon_to_utm
 
@@ -26,40 +26,37 @@
 scenario_dir_name = 'hobart_tsunami_scenario_2006'
 
+# data provided by Tas SES and checked by NM&I
+#onshore_name = 'hob3_topo' # original
+onshore_name_25 = 'hob5_topo_25m' # 25m grid and clipped to 100m elevation or 3000m from coast
+onshore_name = 'hob5_topo' # 12.5m grid and clipped to 100m elevation or 3000m from coast
+#onshore_name_25 = 'hob6_topo_25m' # 25m grid NOT clipped
+offshore_name_tas1 = 'derwent_2m'
+offshore_name_tas2 = 'derwent_5m'
+offshore_name_tas3 = 'south_east_tas' #actually this is AHO
+offshore_name_tas4 = 'hobart_1m'
 
-##
-### data provided by Tas SES and checked by NM&I
-###onshore_name = 'hob3_topo' # original
-###onshore_name_25 = 'hob5_topo_25m' # 25m grid and clipped to 100m elevation or 3000m from coast
-##onshore_name = 'hob5_topo' # 12.5m grid and clipped to 100m elevation or 3000m from coast
-##onshore_name_25 = 'hob6_topo_25m' # 25m grid NOT clipped
-##offshore_name_tas1 = 'derwent_2m'
-##offshore_name_tas2 = 'derwent_5m'
-##offshore_name_tas3 = 'south_east_tas' #actually this is AHO
-##offshore_name_tas4 = 'hobart_1m'
-##
-### AHO data and checked by NM&I
-##offshore_name1 = 'xy100003760'
-##offshore_name2 = 'xy100003761'
-##offshore_name3 = 'xy100003762'
-##offshore_name4 = 'xy100003907'
-##offshore_name5 = 'xy100003908'
-##offshore_name6 = 'xy100003909'
-##offshore_name7 = 'xy100003910'
-##offshore_name8 = 'xy100003932'
-##offshore_name9 = 'xy100003933'
-##offshore_name10 = 'xy100003934'
-##offshore_name11 = 'xy100003935'
-##offshore_name12 = 'xy100003936'
-##offshore_name13 = 'xy100003964'
-##offshore_name14 = 'xy100014250'
-##offshore_name15 = 'xy100014253'
-##offshore_name16 = 'xy100016142'
-##
-### developed by NM&I
-##coast_name = 'coastline_points'
+# AHO data and checked by NM&I
+offshore_name1 = 'xy100003760'
+offshore_name2 = 'xy100003761'
+offshore_name3 = 'xy100003762'
+offshore_name4 = 'xy100003907'
+offshore_name5 = 'xy100003908'
+offshore_name6 = 'xy100003909'
+offshore_name7 = 'xy100003910'
+offshore_name8 = 'xy100003932'
+offshore_name9 = 'xy100003933'
+offshore_name10 = 'xy100003934'
+offshore_name11 = 'xy100003935'
+offshore_name12 = 'xy100003936'
+offshore_name13 = 'xy100003964'
+offshore_name14 = 'xy100014250'
+offshore_name15 = 'xy100014253'
+offshore_name16 = 'xy100016142'
 
-boundary_basename = 'puysegur' # Mw 8.7
-#boundary_basename = 'puysegur_clip' # Mw 8.5
+# developed by NM&I
+coast_name = 'coastline_points'
 
+#boundary_basename = 'puysegur' # Mw 8.7
+boundary_basename = 'puysegur_clip' # Mw 8.5
 
 #swollen/ all data output
@@ -81,10 +78,4 @@
 
 gauge_filename = gaugedir + 'hobart_gauges_final.csv'
-#buildings_filename = gaugedir + 'hobart_res.csv'
-#buildings_filename_damage_out = 'hobart_res_modified.csv'
-#gaugetimeseries = gaugedir + 'hobart'
-
-# boundary source data
-#MOST_dir = 'f:'+sep+'3'+sep+'ehn'+sep+'users'+sep+'davidb'+sep+'tsunami'+sep+'WA_project'+sep+'SU-AU_90'+sep+'most_2'+sep+'detailed'+sep
 
 codedir = getcwd()+sep                            
@@ -93,29 +84,28 @@
 
 # Necessary if using point datasets, rather than grid
-##onshore_dem_name = datadir + onshore_name
-##onshore_dem_name_25 = datadir + onshore_name_25
-##all_onshore_dem_name = datadir + 'combined_onshore'
-##offshore_dem_name_local1 = datadir + offshore_name_tas1
-##offshore_dem_name_local2 = datadir + offshore_name_tas2
-##offshore_dem_name_local3 = datadir + offshore_name_tas3
-##offshore_dem_name_local4 = datadir + offshore_name_tas4
-##offshore_dem_name_aho1 = datadir + offshore_name1
-##offshore_dem_name_aho2 = datadir + offshore_name2
-##offshore_dem_name_aho3 = datadir + offshore_name3
-##offshore_dem_name_aho4 = datadir + offshore_name4
-##offshore_dem_name_aho5 = datadir + offshore_name5
-##offshore_dem_name_aho6 = datadir + offshore_name6
-##offshore_dem_name_aho7 = datadir + offshore_name7
-##offshore_dem_name_aho8 = datadir + offshore_name8
-##offshore_dem_name_aho9 = datadir + offshore_name9
-##offshore_dem_name_aho10 = datadir + offshore_name10
-##offshore_dem_name_aho11 = datadir + offshore_name11
-##offshore_dem_name_aho12 = datadir + offshore_name12
-##offshore_dem_name_aho13 = datadir + offshore_name13
-##offshore_dem_name_aho14 = datadir + offshore_name14
-##offshore_dem_name_aho15 = datadir + offshore_name15
-##offshore_dem_name_aho16 = datadir + offshore_name16
-##coast_dem_name = datadir + coast_name
-
+onshore_dem_name = datadir + onshore_name
+onshore_dem_name_25 = datadir + onshore_name_25
+all_onshore_dem_name = datadir + 'combined_onshore'
+offshore_dem_name_local1 = datadir + offshore_name_tas1
+offshore_dem_name_local2 = datadir + offshore_name_tas2
+offshore_dem_name_local3 = datadir + offshore_name_tas3
+offshore_dem_name_local4 = datadir + offshore_name_tas4
+offshore_dem_name_aho1 = datadir + offshore_name1
+offshore_dem_name_aho2 = datadir + offshore_name2
+offshore_dem_name_aho3 = datadir + offshore_name3
+offshore_dem_name_aho4 = datadir + offshore_name4
+offshore_dem_name_aho5 = datadir + offshore_name5
+offshore_dem_name_aho6 = datadir + offshore_name6
+offshore_dem_name_aho7 = datadir + offshore_name7
+offshore_dem_name_aho8 = datadir + offshore_name8
+offshore_dem_name_aho9 = datadir + offshore_name9
+offshore_dem_name_aho10 = datadir + offshore_name10
+offshore_dem_name_aho11 = datadir + offshore_name11
+offshore_dem_name_aho12 = datadir + offshore_name12
+offshore_dem_name_aho13 = datadir + offshore_name13
+offshore_dem_name_aho14 = datadir + offshore_name14
+offshore_dem_name_aho15 = datadir + offshore_name15
+offshore_dem_name_aho16 = datadir + offshore_name16
+coast_dem_name = datadir + coast_name
 
 # addition once total grid delivered
@@ -128,4 +118,6 @@
 combined_dem_name   = datadir + 'hobart_combined_elevation'
 combined_dem_name_2 = datadir + 'hobart_combined_elevation_2'
+combined_dem_name_3 = datadir + 'hobart_combined_elevation_jane'
+combined_dem_name_4 = datadir + 'hobart_combined_elevation_test'
 
 #outputname = outputtimedir + basename  #Used by post processing
@@ -150,12 +142,8 @@
 refzone = zone
 
-# Second run - bottom bright, topr, top, left
-#polyAll = [[520000, 5170000],[580000, 5170000],[580000, 5200000],[590000,5240000],[520000,5260000]]
-
-
 # Mark run - morning Fri 29 Sep; surrounds -100m and 20mish elevation
-polyAll = read_polygon(polygondir+'new_extent.csv')
+polyAll = read_polygon(polygondir+'new_extent_2.csv')
 plot_polygons([polyAll, polyAll2],'boundingpoly',verbose=False)
-
+print 'Area of bounding polygon', polygon_area(polyAll)
 
 ###################################################################
@@ -163,4 +151,9 @@
 ###################################################################
 
+# clipping 12.5m onshore data set
+eastingmin = 520000
+eastingmax = 536000
+northingmin = 5245000
+northingmax = 5260000
 
 # clipping 25m data set - Hobart
@@ -176,35 +169,7 @@
 northingmax25_2 = 5212052.309
 
-
-
 ###############################
 # Interior region definitions
 ###############################
-
-###Interior region - Hobart city area + Glenorchy, Kingston
-##i0 = [517000, 5267000]
-##i1 = [517000, 5255000]
-##i2 = [520000, 5250000]
-##i3 = [522000, 5239000]
-##i4 = [524000, 5238000]
-##i5 = [526000, 5236000]
-##i6 = [530000, 5244000]
-##i7 = [530000, 5250000]
-##i8 = [534000, 5254000]
-##i9 = [520000, 5270000]
-##
-##poly_hobart = [i0, i1, i2, i3, i4, i5, i6, i7, i8, i9]
-##
-### Tasman Peninsula
-##l0 = [550000, 5247000]
-##l1 = [550000, 5211000]
-##l2 = [583000, 5211000]
-##l3 = [583000, 5247000]
-##
-##poly_tasman_peninsula = [l0, l1, l2, l3]
-##
-### Bruny Island
-##poly_bruny = read_polygon(polygondir+'bruny.csv')
-
 
 # Hobart digitized polygons
@@ -212,4 +177,5 @@
 poly_hobart2 = read_polygon(polygondir+'Hob_poly2.csv')
 poly_hobart3 = read_polygon(polygondir+'Hob_poly3.csv')
+poly_hobart4 = read_polygon(polygondir+'Hob_poly4.csv')
 
-plot_polygons([polyAll, poly_hobart1,poly_hobart2,poly_hobart3],'boundingpoly2',verbose=False)
+plot_polygons([polyAll, poly_hobart1,poly_hobart2,poly_hobart3,poly_hobart4],'boundingpoly2',verbose=False)
Index: /anuga_work/production/hobart_2006/report/acknowledgements.tex
===================================================================
--- /anuga_work/production/hobart_2006/report/acknowledgements.tex	(revision 3721)
+++ /anuga_work/production/hobart_2006/report/acknowledgements.tex	(revision 3721)
@@ -0,0 +1,17 @@
+
+The Inundation Modelling Team in 
+the Risk Research Group at GA would like to thank a number of organisations and groups
+in providing input in this study;
+
+\begin{itemize}
+\item The AHO for the use of fairsheet data. 
+\item The TAS DPIW in supplying the onshore 12.5m DEM and digitised state fairsheet data
+for nominated areas 
+\item The National Mapping and Information Group, in particular Hamish Anderson and Alex von Brandenstein, 
+for building a DEM suitable for purposes of inundation modelling
+\item The Petroleum and Marine Divison, in particular Kristy van Putten, Phil O'Brien
+and Mark Alcock, for sourcing offshore data for the regions of interest and providing
+advice on bathymetric data issues, 
+and finally
+\item TAS SES, for providing strong support to the project.
+\end{itemize}
Index: /anuga_work/production/hobart_2006/report/anuga.tex
===================================================================
--- /anuga_work/production/hobart_2006/report/anuga.tex	(revision 3721)
+++ /anuga_work/production/hobart_2006/report/anuga.tex	(revision 3721)
@@ -0,0 +1,46 @@
+The software tool, ANUGA \cite{ON:modsim}, has been used to estimate 
+the inundation extent
+and associated water level at various points in space and time.
+ANUGA has been developed by GA and the Australian National University
+(ANU) to solve the nonlinear shallow water
+wave equation using the finite volume technique\footnote{The finite volume
+technique belongs to the class of computational fluid dynamic (CFD)
+methods which is based on discretizing the study area in
+control ''volumes''. The method ensures that conservation
+of mass and horizontal momentum is satisfied for
+each control volume.
+An advantage of this technique is that the discretization
+can be changed
+according to areas of interest and that wetting and drying
+is treated robustly as part of the numerical scheme.}. 
+ANUGA is continually being refined and validated to ensure
+the modelling approximations are as accurate as possible.
+However, model sensitivity to errors in bathymetric data, 
+frictional resistance of the seafloor and the size of the tsunamigenic event are not well understood and the topic of ongoing research. 
+As such, the current results are preliminary.
+
+The following information is required to undertake the 
+inundation modelling;
+
+\begin{itemize}
+\item onshore and offshore elevation data (topographic and bathymetric data, 
+see Section \ref{sec:data}),
+\item initial conditions, such as initial water levels (e.g. determined by tides),
+\item boundary conditions (the tsunami source as described in 
+Section \ref{sec:methodology}), and
+\item computational requirements relating to the mesh construction.
+\end{itemize}
+ 
+The initial conditions used for this scenario are MSL, HAT and LAT which were
+defined in Section \ref{sec:data}.
+The dynamics of
+tidal effects (that is, the changes in water height over time for
+the entire study area) are not currently modelled.
+Sea floor friction will generally provide resistance to the water flow
+and thus reduce the impact somewhat. However, limited
+research has been carried out to determine 
+the friction coefficients, and 
+thus it has not been incorporated
+in the scenario. The 
+results are therefore likely to be over estimates.
+
Index: /anuga_work/production/hobart_2006/report/computational_setup.tex
===================================================================
--- /anuga_work/production/hobart_2006/report/computational_setup.tex	(revision 3721)
+++ /anuga_work/production/hobart_2006/report/computational_setup.tex	(revision 3721)
@@ -0,0 +1,55 @@
+To set up a model for the tsunami scenario, a study area is first 
+determined. Preliminary investigations have indicated that the
+output from MOST should be input to ANUGA 
+at the 100m water depth\footnote{ 
+Preliminary investigations indicate that MOST and ANUGA compare
+well at a water depth of 100 m. In addition, the resolution for
+the MOST modelling indicate that it can theoretically model a
+tsunami wave with a wavelength of 20-30 km. The wavelength of
+the tsunami wave at the boundary in this scenario is approximately 20 km.}. 
+Historical run-up heights have not been recorded in Tasmania, however
+we would expect that a tsunami wave
+would penetrate no higher than 20m in elevation for this scenario. As a result
+we have bounded our study region at around the xm elevation.
+Current computation requirements define a coastline
+extent of around 100 km. Therefore, the study area of around 9300 km$^2$ 
+covers approximately 100 km of
+coastline and extends offshore to the 100m contour line and inshore to 
+approximately 50m elevation. 
+
+The finite volume technique relies on the construction of a triangular mesh which covers the study region. 
+This mesh can be altered to suit the needs of the scenario in question. The mesh can be refined in areas of 
+interest, particularly in the coastal region where complex behaviour is likely to occur. 
+In setting up the model, the user defines the area of the triangular cells in each region of interest\footnote{Note that the cell 
+area will be the maximum cell area within the defined region and that each 
+cell in the region does not necessarily have the same area.}.
+The cell areas should not be too small as this will cause unrealisticly long computational time, 
+and not too great as this may inadequately capture important behaviour. 
+%There are no gains in choosing the area to be less than the supporting data.
+Figure \ref{fig:onslow_area} shows the study area with regions of difference cell areas. The total number
+of cells is \?. 
+Lateral accuracy refers to the distance at which we are confident in stating a region is inundated. 
+Figure \ref{fig:hobart_area} shows the maximum triangular cell area and lateral accuracy for each region. 
+
+
+\begin{figure}[hbt]
+
+  %\centerline{ \includegraphics[scale=0.15]{../report_figures/hobart_resolution_zones.jpg}}
+
+  \caption{Study area for the Hobart scenario highlighting four regions of increased refinement.
+Region 1: Surrounds the coastal region with a cell area of 2500 m$^2$ (lateral accuracy 70 m).
+}
+  \label{fig:hobart_area}
+\end{figure}
+
+
+The final item to be addressed to complete the model setup is the 
+definition of the boundary condition. As 
+discussed in Section \ref{sec:methodology}, a Mw 8.5 and Mw 8.7 event provides
+the tsunami source. The resultant tsunami wave is made up of a series
+of waves with different amplitudes which is affected by the energy
+and style of the event as well as the bathymetry whilst it travels
+from its source towards South East Tasmania. 
+The amplitude and velocity of each of these
+waves are then provided to ANUGA as boundary conditions and propagated
+inshore.
Index: /anuga_work/production/hobart_2006/report/data.tex
===================================================================
--- /anuga_work/production/hobart_2006/report/data.tex	(revision 3721)
+++ /anuga_work/production/hobart_2006/report/data.tex	(revision 3721)
@@ -0,0 +1,72 @@
+The calculated run-up height and resulting inundation ashore is controlled by
+the input topographic and bathymetric elevation, the
+initial and boundary conditions, as well as the cell area of the computational
+mesh. 
+Ideally, the topographic and bathymetric data
+should adequately capture all complex features
+of the underlying bathymetry and topography. Any limitations
+in the resolution and accuracy of the data will introduce 
+errors to the inundation maps, in addition to the range of approximations
+made within the model.
+
+%In this study, we used the Australian Height Datum (AHD)
+%as the vertical datum. Mean Sea Level (MSL) is approximately equal to
+%0m AHD with the Highest Astronomical Tide (HAT) 
+%and Lowest Astronomical Tide (LAT) defined as \?m AHD
+%and \?m AHD respectively for Hobart \cite{antt:06}. 
+
+Data for this study have been supplied by the
+Department of Primary Industries Water and Environment, 
+who provided a
+12.5m Digital Elevation Model (DEM) 
+covering the South East of Tasmania. The DEM has been constructed from
+10 and 20m contour lines.  
+
+With respect to the offshore data, the Hobart Port Authority provided state digital 
+fairsheet data around
+Hobart, in particular the Derwent River. 
+This data covers a very small geographic area. Additional data was provided from
+University of Tasmania.
+The Australian Hydrographic Office (AHO) has supplied extensive
+fairsheet data which has also been utilised. In contrast to the onshore data, 
+the offshore data is a series of survey points which is typically 
+not supplied on a fixed grid. In addition, offshore data typically 
+does not have the coverage of the onshore data, and often the 
+offshore data will have gaps where surveys have not been conducted.
+The coastline has been generated by ... 
+
+%Figure \ref{fig:contours_compare}(a) shows the contour lines for
+%HAT, MSL and LAT for teh study area using the data described above.
+
+
+%\begin{figure}[p]
+
+%  \centerline{ \includegraphics[width=150mm, height=100mm]
+%{../report_figures/onslow_dted_contour.jpg}}
+
+%  \caption{Study region showing the m AHD (LAT), 0m AHD (MSL)
+% and m AHD (LAT) contour lines using the AHO and Tasmanian data.}
+%  \label{fig:contours}
+
+%\end{figure}
+
+
+Appendix \ref{sec:metadata} provides more details and the supporting metadata 
+for this study, including images of the data extent.
+Table \ref{table:data} summarises the available data. 
+
+\begin{table}
+\caption{Available data for the South East Tasmania tsunami inundation study.}
+\label{table:data}
+\begin{center}
+\begin{tabular}{|l|l|}\hline
+Data & Specifications \\ \hline 
+DLI & Onshore, 12.5m DEM and orthophotography \\ \hline
+AHO & Offshore, fairsheet data for the study region \\ \hline
+\end{tabular}
+\end{center}
+\end{table}
+
+
+\pagebreak
+
Index: /anuga_work/production/hobart_2006/report/execsum.tex
===================================================================
--- /anuga_work/production/hobart_2006/report/execsum.tex	(revision 3721)
+++ /anuga_work/production/hobart_2006/report/execsum.tex	(revision 3721)
@@ -0,0 +1,16 @@
+This report is being provided to the Tasmania State Emergency Service
+(TAS SES) as part of the Collaborative Research Agreement (CRA) 
+with Geoscience Australia (GA).
+TAS SES has recognised the potential vulnerability of the Tasmanian
+coastline to tsunami originating from earthquakes on
+the Puysegur trench. To understand this vulnerability, the Tasmanian State
+Government are seeking to understand the history of tsunami by undertaking
+paleo-tsunami investigations. The aim of this work is to support these
+investigations by modelling two specific tsunami-genic events to assess the 
+impact to South East Tasmania.
+
+This report describes the modelling methodology and initial results
+for two specific tsunami-genic events as it impacts the Hobart region
+and its surrounds. In particular, maximum inundation maps are shown
+and discussed for the event occurring at mean sea level.
+
Index: /anuga_work/production/hobart_2006/report/interpretation.tex
===================================================================
--- /anuga_work/production/hobart_2006/report/interpretation.tex	(revision 3721)
+++ /anuga_work/production/hobart_2006/report/interpretation.tex	(revision 3721)
@@ -0,0 +1,128 @@
+The main features of the
+tsunami wave and resultant inundation ashore is described in this section. 
+We have
+chosen a number of locations to illustrate the features
+of the tsunami as it approaches and impact South East Tasmania.
+These locations align with those in the paleotsunami report.
+These locations
+are described in Table \ref{table:locations} and shown in 
+Figure \ref{fig:points}. The water's stage and speed 
+at each of these locations are shown
+as a function of time in the series of graphs shown in
+Appendix \ref{sec:timeseries}. It is assumed that the earthquake is
+generated at the beginning of the simulation, i.e. time = 0 minutes.
+Stage is defined as the absolute
+water level (in metres) relative to AHD 
+\footnote{For an offshore location such as Beadon Bay West,
+the initial water level will be that of the tidal scenario. In the 
+case of MSL, this water level will be 0. As the tsunami wave moves
+through this point, the water height may grow and thus the stage will 
+represent the amplitude of the wave. For an onshore location such as the 
+Light Tower, the actual water depth will be the difference between
+the stage and the elevation at that point. Therefore, at the beginning
+of the simulation, there will be no water onshore and therefore
+the stage and the elevation will be identical.}. Both stage and speed 
+(in metres/second) for
+each scenario (Mw 8.7 and Mw 8.5) are shown
+on consistent scales to allow comparison between point locations.
+As a useful benchmark, Table \ref{table:speedexamples}
+describes typical examples for a range of speeds found in the 
+simulations. 
+
+\begin{table}[h]
+\label{table:speedexamples}
+\caption{Examples of a range of velocities.}
+\begin{center}
+\begin{tabular}{|l|l|}\hline
+{\bf Velocity (m/s)} & {\bf Example} \\ \hline
+1 & leisurely stroll pace\\ \hline
+1.5 & average walking pace \\ \hline
+%2 & 100m Olympic male freestyle \\ \hline
+%3 & mackeral \\ \hline
+4 & average person can maintain running for 1000m \\ \hline
+%5 & blue whale \\ \hline
+10 & 100m Olympic male sprinter \\ \hline
+16 & car travelling in urban zones (60 km/hr) \\ \hline
+\end{tabular}
+\end{center}
+\end{table}
+
+A tsunami wave typically has a small amplitude and typically travels at 100's of kilometres per hour. 
+The low amplitude complicates the ability to detect
+the wave. As the water depth decreases, 
+the speed of the wave 
+decreases and the amplitude grows. Another important feature of tsunamis 
+is drawdown. This means that the water is seen to retreat from the beaches
+before a tsunami wave 
+impacts that location. Other features 
+include reflections (where the wave is redirected due to the 
+influence 
+of the coast) and shoaling (where the wave's amplitude is amplified
+close to the coast due to wave interactions).
+These features are seen in these scenarios; there is a small wave, followed
+by a large drawdown and then a large secondary wave. 
+
+These 
+features are illustrated in Figure \ref{fig:gaugeBeadonBayeast}
+where a small wave can be seen at around 200 mins. For the HAT
+case (shown in blue), the amplitude
+of the wave at this location is around 0.8 m\footnote{In this
+scenario, the initial water level is 1.5 m, which means that
+the actual amplitude is the difference between the stage value
+and the initial water level; 2.3 - 1.5}.
+The drawdown of around 4.3 m (i.e. 2.3 - -2) then occurs at around 230 mins
+(i.e. 3.8 hours after the event has been generated), before
+the second wave arrives 
+with an amplitude of around 3.6 m (i.e. 4.1 - 1.5). A further wave
+is then evident a short time later (around 255 mins) 
+which further increases the amplitude to around 5 m (i.e. 6.6 - 1.5).
+These features are replicated at each of the offshore points (those
+points with negative elevation as shown in Table \ref{table:locations}).
+
+The wave amplitude is typically greater
+for those locations which are in the shallowest water. For example,
+the maximum wave amplitude at the Beadon Bay East location 
+(Figure \ref{fig:gaugeBeadonBayeast}) is over
+4.5m where the water depth would normally be 3.56 m. In the 
+Beadon Bay West location (Figure \ref{fig:gaugeBeadonBaywest})
+where the water depth would normally be 4.62 m, 
+the maximum wave amplitude is much less (around 3 m). The wave amplitude
+at the West of Groyne location (Figure \ref{fig:gaugeWestofGroyne})
+is not greater than that seen
+at the Beadon Bay East location, even though the water depth is 
+much less, at 2.11m. This is probably due to its proximity
+to the groyne\footnote{A groyne is a man made structure to combat
+coastal erosion.}
+which has impeded the tsunami wave to some degree. However, the 
+maximum speed found amongst the locations is at the West of Groyne
+point which is in the shallowest water.
+
+The speed of the tsunami sharply increases as it moves onshore. There
+is minimal inundation found at the locations chosen, with the Bindi Bindi
+community receiving the greatest inundation for all tidal scenarios.
+At HAT, the community would receive over 1 m of inundation with 
+the water moving through the community at approximately 16 m/s. Referring
+to Table \ref{table:speedexamples}, a person in this location could
+not outrun this water movement. A small amount of water is found
+at the hospital (10 cm). Whilst this seems minimal, the water is moving 
+at around 6 m/s which could dislodge some items if the water was able to enter the hospital.
+ 
+The geography of the Onslow area has played a role in offering
+some protection to the Onslow community. The tsunami wave is 
+travelling from the north west of the area. Most of
+the inundation along the coast is that which is open to this
+direction.  
+The sand dunes west of Onslow 
+appear to have halted this tsunami wave
+(see Figure \ref{fig:MSL_max_inundation}) with limited
+inundation found on the town's side of the dunes.
+The inundation within the community has occurred due to the
+wave reflecting from the beach area west of the creek and
+returning towards the Onslow town itself.  
+There are also sand dunes east of the creek which have also
+halted inundation beyond them. 
+Currently, we do not model changes 
+to the bathymetry or topography due to effects of the water flow. 
+Therefore, we do not know whether these sand dunes would withstand the
+transmitted energy of the tsunami wave. 
+
Index: /anuga_work/production/hobart_2006/report/introduction.tex
===================================================================
--- /anuga_work/production/hobart_2006/report/introduction.tex	(revision 3721)
+++ /anuga_work/production/hobart_2006/report/introduction.tex	(revision 3721)
@@ -0,0 +1,41 @@
+The Tasmania State Emergency Service provides a 
+volunteer response capability for severe storms and floods, 
+road crash rescue, search and rescue/recovery and a range of other 
+general rescue and community support roles.
+In addition the SES provides whole of government 
+advice and executive support to the State Disaster Committee 
+and Region Disaster Planning Groups.  
+It also takes the lead with much of the State's emergency 
+management planning and emergency risk management 
+work\footnote{http://www.ses.tas.gov.au}. 
+Such work involves understanding the relative risk
+of a range of natural disasters so that resources can be directed to appropriate areas
+and corresponding evacuation plans put in place.  
+
+The key role of the Risk Research Group at Geoscience Australian 
+is to develop knowledge on the risk from natural and 
+human-caused hazards for input to policy and operational decision making on 
+the mitigation of risk to Australian communities. The Group achieves 
+this through the development of computational methods, models and decision 
+support tools that assess the hazard, vulnerability and risk posed by hazard
+events. To develop an understanding of the tsunami risk, GA has developed
+decision support tools, consisting of inundation
+maps overlaid on aerial photography of the region 
+detailing critical infrastructure as well as damage modelling estimates. 
+
+This report supports the Tasmania State Government's Natural Disaster
+Mitigation Programme project on understanding tsunami risk to Tasmania. 
+In particular,
+the work presented will support paloetsunami investigations to understand
+the history of tsunami impact to Tasmania. This support provides a tsunami
+inundation model based on a plausible event occurring on the Puysegur Trench
+(see Section \ref{sec:methodology}). 
+
+The modelling technique to simulate the 
+impact ashore is discussed in Section \ref{sec:methodology} and data inputs
+discussed in Section \ref{sec:data}. 
+The inundation results are presented and discussed in Section \ref{sec:results}.
+A summary of the results detailing issues
+regarding underlying data and further model development, are discussed 
+in Section \ref{sec:summary}.
+
Index: /anuga_work/production/hobart_2006/report/metadata.tex
===================================================================
--- /anuga_work/production/hobart_2006/report/metadata.tex	(revision 3721)
+++ /anuga_work/production/hobart_2006/report/metadata.tex	(revision 3721)
@@ -0,0 +1,2 @@
+
+See Enclosure.
Index: /anuga_work/production/hobart_2006/report/modelling_methodology.tex
===================================================================
--- /anuga_work/production/hobart_2006/report/modelling_methodology.tex	(revision 3721)
+++ /anuga_work/production/hobart_2006/report/modelling_methodology.tex	(revision 3721)
@@ -0,0 +1,102 @@
+
+Geoscience Australia aims to define the economic and social threat posed to urban communities 
+by a range of rapid onset natural hazards. Through the integration of natural hazard research, defining national exposure and 
+estimating socio-economic vulnerabilities, predictions of the likely impacts of events can be made. 
+By modelling the likely impacts on urban communities as accurately as possible and
+building these estimates into land use planning and emergency
+management, communities will be better prepared to respond to
+natural disasters when they occur.
+
+
+%GA bases its risk modelling on the process of understanding the hazard and a community's 
+%vulnerability in order to determine the impact of a particular hazard event. 
+%The resultant risk relies on an assessment of the likelihood of the event. 
+%An overall risk assessment for a particular hazard would then rely on scaling 
+%each event's impact by its likelihood.
+
+To develop a tsunami risk assessment, 
+the tsunami hazard itself must first be understood. These events are generally modelled by converting
+the energy released by a subduction earthquake into a vertical displacement of the ocean surface. 
+%Tsunami hazard models have been available for some time. 
+The resulting wave is
+then propagated across a sometimes vast stretch of ocean towards the
+area of interest. 
+%using a relatively coarse model 
+%based on bathymetries with a typical resolution of two arc minutes.
+The hazard itself is then reported as a maximum wave height at a fixed contour line near the coastline, 
+(e.g. 50m). This is how the preliminary tsunami hazard assessment was reported by GA 
+to FESA in September 2005 \cite{BC:FESA} for a suite of Mw 9 earthquakes
+evenly spaced along the Sunda Arc subduction zone. 
+The assessment used the Method of Splitting Tsunamis (MOST)
+\cite{VT:MOST} model. 
+%The maximal wave height at a fixed contour line near the coastline
+%(e.g. 50m) is then reported as the hazard to communities ashore. 
+%Models such as Method of Splitting Tsunamis (MOST) \cite{VT:MOST} and the 
+%URS Corporation's
+%Probabilistic Tsunami Hazard Analysis  
+%\cite{somerville:urs} follow this paradigm.
+
+While MOST is suitable for generating and propagating the tsunami wave from its source, it is not adequate to
+model the wave's impact on communities ashore.  
+To capture the \emph{impact} of a tsunami to a coastal community, 
+the model must be capable of capturing more detail about the wave, 
+particularly how it is affected by the local bathymetry, as well as the 
+local topography as the wave moves onshore. 
+%the details of how waves are reflected and otherwise 
+%shaped by the local bathymetries as well as the dynamics of the 
+%runup process onto the topography in question.
+It is well known that local bathymetric and topographic effects are 
+critical in determining the severity of a hydrological disaster 
+\cite{matsuyama:1999}. To model the impact of the tsunami wave on the 
+coastal community, we use ANUGA \cite{ON:modsim}. In order to capture the 
+details of the wave and its interactions, a much finer resolution is 
+required than that of the hazard model. As a result, ANUGA simulations concentrate 
+on specific coastal communities. MOST by contrast uses a 
+coarser resolution and covers often vast areas. To develop the impact 
+from an earthquake event from a distant source, we adopt a hybrid approach of 
+modelling the event itself with MOST and modelling the impact with ANUGA. 
+In this way, the output from MOST serves as an input to ANUGA. 
+In modelling terms, the MOST output is a boundary condition for ANUGA.
+
+\bigskip %FIXME (Ole): Should this be a subsection even? 
+The risk of a given tsunami scenario cannot be determined until the 
+likelihood of the tsunami is known. GA is currently building a 
+complete probabilistic hazard map which is due for completion 
+in late 2006. 
+
+The paleotsunami investigations are looking for evidence of tsunami impact
+to Tasmania from the Puysegur Trench. The largest known event is a Mw 7.2, but
+it is believed that the trench could support events up to Mw 8.7.
+Two tsunami sources are used in this study; a Mw 8.5 and 8.7 occurring
+in the same location but with different slip parameters.
+Figure \ref{fig:mw87} and Figure \ref{fig:mw85} 
+show the maximum wave height of a tsunami initiated 
+by a Mw 8.7 anad Mw 8.5 event respectively, off
+the Puysegur Trench. These event provide the source and
+boundary condition to the
+inundation model presented in Section \ref{sec:anuga}. These events
+were agreed by the Steering Group in September 2005.
+
+\begin{figure}[h]
+
+  %\centerline{ \includegraphics[width=140mm, height=100mm]
+%{../report_figures/mw87.jpg}}
+
+  \caption{Maximum wave height (in cms) for a Mw 8.7 event off the 
+coast of Java}
+  \label{fig:mw87}
+\end{figure}
+
+\begin{figure}[h]
+
+  %\centerline{ \includegraphics[width=140mm, height=100mm]
+%{../report_figures/mw85.jpg}}
+
+  \caption{Maximum wave height (in cms) for a Mw 8.5 event off the 
+coast of Java}
+  \label{fig:mw85}
+\end{figure}
+
+
+
+ 
Index: /anuga_work/production/hobart_2006/report/mw85_map.tex
===================================================================
--- /anuga_work/production/hobart_2006/report/mw85_map.tex	(revision 3721)
+++ /anuga_work/production/hobart_2006/report/mw85_map.tex	(revision 3721)
@@ -0,0 +1,6 @@
+\begin{sidewaysfigure}
+\centerline{ \includegraphics[width=\paperwidth]{../report_figures/mw85.jpg}} 
+\caption{Maximum inundation map for the Mw 8.7 scenario for South East Tasmania. 
+Data: TAS DPIW, UTAS and Hobart Port Authority and AHO.}  
+\label{fig:mw85_max_inundation}
+\end{sidewaysfigure}
Index: /anuga_work/production/hobart_2006/report/mw87_map.tex
===================================================================
--- /anuga_work/production/hobart_2006/report/mw87_map.tex	(revision 3721)
+++ /anuga_work/production/hobart_2006/report/mw87_map.tex	(revision 3721)
@@ -0,0 +1,5 @@
+\begin{sidewaysfigure}\centerline{ \includegraphics[width=\paperwidth]{../report_figures/mw87.jpg}} 
+\caption{Maximum inundation map for the Mw 8.7 scenario for South East Tasmania. 
+Data: TAS DPIW, UTAS and Hobart Port Authority and AHO.}  
+\label{fig:mw87_max_inundation}
+\end{sidewaysfigure}
Index: /anuga_work/production/hobart_2006/report/references.tex
===================================================================
--- /anuga_work/production/hobart_2006/report/references.tex	(revision 3721)
+++ /anuga_work/production/hobart_2006/report/references.tex	(revision 3721)
@@ -0,0 +1,48 @@
+\begin{thebibliography}{99}
+
+\bibitem{CB:ausgeo} Cummins, P. and Burbidge, D. (2004) 
+Small threat, but warning sounded for tsunami research. AusGeo News 75, 4-7.
+
+\bibitem{BC:FESA} Burbidge, D. and Cummins, P. (2005) Preliminary Tsuanmi 
+Hazard Assesment of Western Australia. Report 
+to the Fire and Emergency Services Authority of Western Australia.
+
+\bibitem{VT:MOST} Titov, V.V., and F.I. Gonzalez (1997)
+Implementation and testing of the Method of Splitting 
+Tsunami (MOST) model, NOAA Technical Memorandum ERL PMEL-112.
+
+%\bibitem{somerville:urs} Somerville, P., Thio, H.K. and Ichinose, G. (2005)
+%Probabilistic Tsunami Hazard Analysis. Report delivered to Geoscience
+%Australia 2005.
+
+\bibitem{matsuyama:1999}
+Matsuyama, M., Walsh, J.P. and Yeh, H. (1999) 
+The effect of bathymetry on tsunami characteristics at 
+Sisano Lagoon, Papua New Guinea. 
+Geophysical Research Letters, 26, 23, 3513-3516.
+
+\bibitem{ON:modsim} Nielsen, O., Roberts, Gray, D., McPherson, A. and 
+Hitchman, A (2005) 
+Hydrodynamic modelling of coastal inundation, MODSIM 2005 International 
+Congress on Modelling and Simulation.
+Modelling and Simulation Society of Australian and New Zealand, 518-523,
+URL: http://www.mssanz.org.au/modsim05/papers/nielsen.pdf
+
+\bibitem{antt:06} Australian National Tide Tables 2006:
+Australia, Papua New Guinea, Solomon Islands and Antarctica and East Timor.
+Australian Hydrographic Publication 11, Australian Hydrographic Service.
+
+\bibitem{papathoma:vulnerability} 
+Papathoma, M. and Dominey-Howes, D. (2003) 
+Tsunami vulnerability assessment and its implications for coastal hazard 
+analysis and disaster management planning, Gulf of Corinth, Greece, 
+Natural Hazards and Earth System Sciences, 3, 733-747.
+
+\bibitem{cooper:2005}
+Cooper, D. (2005) Risk Research Group Personal Communication at NSW Tsunami 
+Workshop 12th and 13th April, Masonic Centre, Goulburn St, Sydney.
+
+\bibitem{NIBS:2003} National Institute of Building Sciences (2003) 
+HAZUS-MH User Manual, Washington DC, USA.
+
+\end{thebibliography}
Index: /anuga_work/production/hobart_2006/report/summary.tex
===================================================================
--- /anuga_work/production/hobart_2006/report/summary.tex	(revision 3721)
+++ /anuga_work/production/hobart_2006/report/summary.tex	(revision 3721)
@@ -0,0 +1,39 @@
+This report has described the impact on Onslow from a tsunami
+generated by a Mw 9 earthquake on the Sunda Arc subduction zone 
+occurring at Highest Astronomical Tide, Lowest Astronomical Tide
+and Mean Sea Level. 
+As yet, there is no knowledge of the return period for this event. The
+modelling methodology, assumptions and data sources for the Onslow 
+scenario have also been described. 
+
+As shown in Section \ref{sec:data}, it is imperative
+that the best available data is used to increase confidence
+in the inundation maps. 
+Given that the Highest Astronomical Tide contour
+line is further from the coast for the DTED data than the DLI data, we
+expect the inundation to extend further and thus be greater than
+that seen in Figure \ref{fig:MSL_max_inundation}. 
+The impact modelling
+will result in significantly inflated structural and contents loss figures as well as
+numbers of people affected.
+These results strongly point to the need for the best 
+available data so that more accurate predictions regarding the 
+inundation can be made.
+An onshore grid resolution of the order
+of tens of metres is required, however, it is more important that the data
+are accurate (or at least well known).
+
+These scenarios will be revisited once the probabilistic models
+are complete so that a suite of tsunami impact assessments can be made.
+Future activities to support the impact studies on the North West Shelf
+include:
+
+\begin{itemize}
+\item Sourcing of data sets,
+\item Investigation of solution sensitivity to cell resolution,
+bathymetry and tsunami source uncertainties,
+\item Location of boundary for simulation study area, and
+\item Investigation of friction coefficients.
+\end{itemize}
+
+
Index: /anuga_work/production/hobart_2006/run_hobart.py
===================================================================
--- /anuga_work/production/hobart_2006/run_hobart.py	(revision 3720)
+++ /anuga_work/production/hobart_2006/run_hobart.py	(revision 3721)
@@ -73,5 +73,5 @@
 # creates pts file for combined 50m DEM
 dem2pts(onshore_offshore_dem_name, use_cache=True, verbose=True)
-
+"""
 # 25m data (clipping the around the Hobart area)
 convert_dem_from_ascii2netcdf(onshore_offshore_dem_name_25, use_cache=True, verbose=True)
@@ -113,5 +113,5 @@
 #G.export_points_file(project.combined_dem_name + '.pts')
 
-
+"""
 #----------------------------------------------------------------------------
 # Create the triangular mesh based on overall clipping polygon with a tagged
@@ -146,7 +146,7 @@
 			      'e12': [12], 'e13': [13], 'e14': [14],
 			      'e15': [15]},
-           'maximum_triangle_area': 750000,
-           'filename': meshname,
-           'interior_regions': interior_regions},
+           'maximum_triangle_area': 2500000,
+           'filename': meshname},
+           #'interior_regions': interior_regions},
           verbose = True, evaluate=False)
 
@@ -176,10 +176,11 @@
 domain.set_quantity('friction', 0.0) 
 
-domain.set_quantity('elevation', 
-                    filename = project.combined_dem_name_2 + '.pts',
-                    use_cache = True,
-                    verbose = True,
-                    alpha = 0.1
-                    )
+#domain.set_quantity('elevation', 
+#                    filename = project.combined_dem_name_2 + '.pts',
+#                    filename = onshore_offshore_dem_name + '.pts',
+#                    use_cache = True,
+#                    verbose = True,
+#                    alpha = 0.1
+#                    )
 
 
@@ -188,4 +189,5 @@
 #-------------------------------------------------------------------------------
 print 'start ferret2sww'
+print '', project.boundary_basename
 from anuga.shallow_water.data_manager import ferret2sww
 
@@ -195,22 +197,22 @@
 east  = project.east
 
-###note only need to do when an SWW file for the MOST boundary doesn't exist
-##cache(ferret2sww,
-##      (source_dir + project.boundary_basename,
-##       source_dir + project.boundary_basename), 
-##      {'verbose': True,
-##       'minlat': south,
-##       'maxlat': north,
-##       'minlon': west,
-##       'maxlon': east,
-###       'origin': project.mesh_origin,
-##       'origin': domain.geo_reference.get_origin(),
-##       'mean_stage': tide,
-##       'zscale': 1,                 #Enhance tsunami
-##       'fail_on_NaN': False,
-##       'inverted_bathymetry': True},
-##      #evaluate = True,
-##       verbose = True,
-##       dependencies = source_dir + project.boundary_basename + '.sww')
+#note only need to do when an SWW file for the MOST boundary doesn't exist
+cache(ferret2sww,
+      (source_dir + project.boundary_basename,
+       source_dir + project.boundary_basename), 
+      {'verbose': True,
+       'minlat': south,
+       'maxlat': north,
+       'minlon': west,
+       'maxlon': east,
+#       'origin': project.mesh_origin,
+       'origin': domain.geo_reference.get_origin(),
+       'mean_stage': tide,
+       'zscale': 1,                 #Enhance tsunami
+       'fail_on_NaN': False,
+       'inverted_bathymetry': True},
+      #evaluate = True,
+       verbose = True,
+       dependencies = source_dir + project.boundary_basename + '.sww')
 
 
Index: /anuga_work/production/hobart_2006/run_hobart_test.py
===================================================================
--- /anuga_work/production/hobart_2006/run_hobart_test.py	(revision 3721)
+++ /anuga_work/production/hobart_2006/run_hobart_test.py	(revision 3721)
@@ -0,0 +1,283 @@
+"""Script for running a tsunami inundation scenario for Hobart, TAS, Australia.
+
+Source data such as elevation and boundary data is assumed to be available in
+directories specified by project.py
+The output sww file is stored in project.outputtimedir 
+
+The scenario is defined by a triangular mesh created from project.polygon,
+the elevation data and a tsunami wave generated by MOST.
+
+Ole Nielsen and Duncan Gray, GA - 2005 and Nick Bartzis, GA - 2006
+"""
+#-------------------------------------------------------------------------------# Import necessary modules
+#-------------------------------------------------------------------------------
+
+# Standard modules
+import os
+import time
+from shutil import copy
+from os import mkdir, access, F_OK
+import sys
+
+# Related major packages
+from anuga.shallow_water import Domain, Reflective_boundary, \
+                            Dirichlet_boundary, Time_boundary, File_boundary
+from anuga.shallow_water.data_manager import convert_dem_from_ascii2netcdf, dem2pts
+from anuga.abstract_2d_finite_volumes.combine_pts import combine_rectangular_points_files 
+from anuga.geospatial_data.geospatial_data import *
+from anuga.abstract_2d_finite_volumes.util import Screen_Catcher
+
+# Application specific imports
+import project                 # Definition of file names and polygons
+
+#-------------------------------------------------------------------------------
+# Copy scripts to time stamped output directory and capture screen
+# output to file
+#-------------------------------------------------------------------------------
+
+# creates copy of code in output dir if dir doesn't exist
+if access(project.outputtimedir,F_OK) == 0 :
+    mkdir (project.outputtimedir)
+copy (project.codedirname, project.outputtimedir + project.codename)
+copy (project.codedir + 'run_hobart.py', project.outputtimedir + 'run_hobart.py')
+print'output dir', project.outputtimedir
+
+#normal screen output is stored in 
+screen_output_name = project.outputtimedir + "screen_output.txt"
+screen_error_name = project.outputtimedir + "screen_error.txt"
+
+#used to catch screen output to file
+sys.stdout = Screen_Catcher(screen_output_name)
+#sys.stderr = Screen_Catcher(screen_output_name)
+sys.stderr = Screen_Catcher(screen_error_name)
+
+print 'USER:    ', project.user
+
+#-------------------------------------------------------------------------------
+# Preparation of topographic data
+#
+# Convert ASC 2 DEM 2 PTS using source data and store result in source data
+#-------------------------------------------------------------------------------
+
+# filenames
+onshore_dem_name = project.onshore_dem_name
+onshore_dem_name_25 = project.onshore_dem_name_25
+meshname = project.meshname+'.msh'
+source_dir = project.boundarydir
+
+copied_files = False
+
+# creates DEM from asc data - 12.5m
+convert_dem_from_ascii2netcdf(onshore_dem_name, use_cache=True, verbose=True)
+
+#creates pts file for onshore DEM - 12.5
+dem2pts(onshore_dem_name,
+        easting_min=project.eastingmin,
+        easting_max=project.eastingmax,
+        northing_min=project.northingmin,
+        northing_max= project.northingmax,
+        use_cache=True, verbose=True)
+
+# create DEM from asc data - 25m data
+convert_dem_from_ascii2netcdf(onshore_dem_name_25, use_cache=True, verbose=True)
+
+#creates pts file for onshore DEM - 25
+dem2pts(onshore_dem_name_25, use_cache=True, verbose=True)
+
+combine_rectangular_points_files(project.onshore_dem_name + '.pts',
+                                 project.onshore_dem_name_25 + '.pts',
+                                 project.all_onshore_dem_name + '.pts')
+#print 'local offshore data sets'
+#G1 = Geospatial_data(file_name = project.offshore_dem_name_local1 + '.xya')
+#G2 = Geospatial_data(file_name = project.offshore_dem_name_local2 + '.xya')
+#G3 = Geospatial_data(file_name = project.offshore_dem_name_local3 + '.xya')
+#G4 = Geospatial_data(file_name = project.offshore_dem_name_local4 + '.xya')
+#G11 = G1 + G2 + G3 + G4
+#print 'aho offshore data sets'
+#G5 = Geospatial_data(file_name = project.offshore_dem_name_aho1 + '.xya')
+#G6 = Geospatial_data(file_name = project.offshore_dem_name_aho2 + '.xya')
+#G7 = Geospatial_data(file_name = project.offshore_dem_name_aho3 + '.xya')
+#G8 = Geospatial_data(file_name = project.offshore_dem_name_aho4 + '.xya')
+#G9 = Geospatial_data(file_name = project.offshore_dem_name_aho5 + '.xya')
+#G10 = Geospatial_data(file_name = project.offshore_dem_name_aho6 + '.xya')
+#G11 = Geospatial_data(file_name = project.offshore_dem_name_aho7 + '.xya')
+#G12 = Geospatial_data(file_name = project.offshore_dem_name_aho8 + '.xya')
+#G13 = Geospatial_data(file_name = project.offshore_dem_name_aho9 + '.xya')
+#G14 = Geospatial_data(file_name = project.offshore_dem_name_aho10 + '.xya')
+#G15 = Geospatial_data(file_name = project.offshore_dem_name_aho11 + '.xya')
+#G16 = Geospatial_data(file_name = project.offshore_dem_name_aho12 + '.xya')
+#G17 = Geospatial_data(file_name = project.offshore_dem_name_aho13 + '.xya')
+#G18 = Geospatial_data(file_name = project.offshore_dem_name_aho14 + '.xya')
+#G19 = Geospatial_data(file_name = project.offshore_dem_name_aho15 + '.xya')
+#G20 = Geospatial_data(file_name = project.offshore_dem_name_aho16 + '.xya')
+#G12 = G5+G6+G7+G8+G9+G10+G11+G12+G13+G14+G15+G16+G17+G18+G19+G20
+#print 'local onshore dem'
+#G21 = Geospatial_data(file_name = project.onshore_dem_name + '.pts')
+print 'coast'
+#G22 = Geospatial_data(file_name = project.coast_dem_name + '.xya')
+#print 'adding data sets'
+#G = G11 + G12 + G21 + G22
+#G = G1+G2+G3+G4+G5+G6+G7+G8+G9+G10+G11+G12+G13+G14+G15+G16+G17+G18+G19+G20+G21+G22
+#G = G5+G6+G7+G8+G9+G10+G11+G12+G13+G14+G15+G16+G17+G18+G19+G20+G21+G22
+#G = G21+G22+G5+G6+G7+G8+G9+G10+G11+G12+G13+G14+G15+G16+G17+G18+G19+G20
+#G = G21+G22+G5
+#G = Geospatial_data(file_name = project.onshore_dem_name + '.pts') #+ \
+#    Geospatial_data(file_name = project.coast_dem_name + '.xya') #+ \
+#    Geospatial_data(file_name = project.offshore_dem_name_aho1 + '.xya')
+G = Geospatial_data(file_name = project.offshore_dem_name_local1 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_local2 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_local3 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_local4 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_aho1 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_aho2 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_aho3 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_aho4 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_aho5 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_aho6 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_aho7 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_aho8 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_aho9 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_aho10 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_aho11 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_aho12 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_aho13 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_aho14 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_aho15 + '.xya')+\
+    Geospatial_data(file_name = project.offshore_dem_name_aho16 + '.xya')+\
+    Geospatial_data(file_name = project.all_onshore_dem_name + '.pts')
+G.export_points_file(project.combined_dem_name_4 + '.pts')
+
+#-------------------------------------------------------------------------------                                 
+# Create the triangular mesh based on overall clipping polygon with a tagged
+# boundary and interior regions defined in project.py along with
+# resolutions (maximal area of per triangle) for each polygon
+#-------------------------------------------------------------------------------
+
+from anuga.pmesh.mesh_interface import create_mesh_from_regions
+
+# use 75 for onshore components (12.5m DEM)
+hobart_res = 50000
+interior_regions = [[project.poly_hobart1, hobart_res],
+                    [project.poly_hobart2, hobart_res],
+                    [project.poly_hobart3, hobart_res]]
+
+print 'number of interior regions', len(interior_regions)
+
+from caching import cache
+_ = cache(create_mesh_from_regions,
+          project.polyAll,
+           {'boundary_tags': {'e0': [0], 'e1': [1], 'e2': [2],
+                              'e3': [3], 'e4':[4], 'e5': [5],
+			      'e6': [6], 'e7': [7], 'e8': [8],
+			      'e9': [9], 'e10': [10], 'e11': [11],
+			      'e12': [12], 'e13': [13], 'e14': [14]},
+           'maximum_triangle_area': 2500000,
+           'filename': meshname,           
+           'interior_regions': interior_regions},
+          verbose = True, evaluate=True)
+
+
+#-------------------------------------------------------------------------------                                 
+# Setup computational domain
+#-------------------------------------------------------------------------------                                 
+domain = Domain(meshname, use_cache = False, verbose = True)
+
+print 'Number of triangles = ', len(domain)
+print 'The extent is ', domain.get_extent()
+print domain.statistics()
+
+domain.set_name(project.basename)
+domain.set_datadir(project.outputtimedir)
+domain.set_quantities_to_be_stored(['stage', 'xmomentum', 'ymomentum'])
+domain.set_minimum_storable_height(0.01)
+domain.set_store_vertices_uniquely(True)  # for writting to sww
+
+#-------------------------------------------------------------------------------                                 
+# Setup initial conditions
+#-------------------------------------------------------------------------------
+
+tide = 0.0
+
+domain.set_quantity('stage', tide)
+domain.set_quantity('friction', 0.0) 
+
+domain.set_quantity('elevation', 
+#                    filename = project.onshore_dem_name + '.pts',
+                    filename = project.combined_dem_name_4 + '.pts',
+#                    filename = project.offshore_dem_name + '.pts',
+                    use_cache = True,
+                    verbose = True,
+                    alpha = 0.1
+                    )
+
+#-------------------------------------------------------------------------------                                 
+# Setup boundary conditions (all reflective)
+#-------------------------------------------------------------------------------
+'''
+print 'start ferret2sww'
+from anuga.shallow_water.data_manager import ferret2sww
+south = project.south 
+north = project.north
+west = project.west
+east = project.east
+
+#note only need to do when an SWW file for the MOST boundary doesn't exist
+cache(ferret2sww,
+      (source_dir + project.boundary_basename,
+       source_dir + project.boundary_basename), 
+#      (project.MOST_dir + project.boundary_basename,
+#       source_dir + project.boundary_basename), 
+      {'verbose': True,
+# note didn't work with the below
+#       'minlat': south - 1,
+#       'maxlat': north + 1,
+#       'minlon': west - 1,
+#       'maxlon': east + 1,
+       'minlat': south,
+       'maxlat': north,
+       'minlon': west,
+       'maxlon': east,
+#       'origin': project.mesh_origin,
+       'origin': domain.geo_reference.get_origin(),
+       'mean_stage': tide,
+       'zscale': 1,                 #Enhance tsunami
+       'fail_on_NaN': False,
+       'inverted_bathymetry': True},
+      #evaluate = True,
+       verbose = True,
+       dependencies = source_dir + project.boundary_basename + '.sww')
+
+'''
+print 'Available boundary tags', domain.get_boundary_tags()
+
+Bf = File_boundary(source_dir + project.boundary_basename + '.sww', 
+                    domain, verbose = True)
+Br = Reflective_boundary(domain)
+Bd = Dirichlet_boundary([tide,0,0])
+# 7 min square wave starting at 1 min, 6m high
+Bw = Time_boundary(domain = domain,
+                   f=lambda t: [(60<t<480)*6, 0, 0])
+
+
+domain.set_boundary( {'e0': Bd,  'e1': Bd, 'e2': Bd, 'e3': Bd, 'e4': Bd,
+		      'e5': Bd,  'e6': Bd, 'e7': Bd, 'e8': Bd, 'e9': Bd,
+		      'e10': Bd, 'e11': Bd, 'e12': Bf, 'e13': Bf, 'e14': Bf} )
+
+#-------------------------------------------------------------------------------                                 
+# Evolve system through time
+#-------------------------------------------------------------------------------
+import time
+t0 = time.time()
+
+for t in domain.evolve(yieldstep = 240, finaltime = 7200): 
+    domain.write_time()
+    domain.write_boundary_statistics(tags = 'bottom')     
+
+for t in domain.evolve(yieldstep = 120, finaltime = 12600
+                       ,skip_initial_step = True): 
+    domain.write_time()
+    domain.write_boundary_statistics(tags = 'bottom')     
+    
+print 'That took %.2f seconds' %(time.time()-t0)
+
+print 'finished'
